pcl::ConditionBase< PointT > Class Template Referenceabstract

Base condition class. More...

`#include <pcl/filters/conditional_removal.h>`

Inheritance diagram for pcl::ConditionBase< PointT >:

## Public Types

typedef pcl::ComparisonBase< PointT > | ComparisonBase
typedef ComparisonBase::Ptr | ComparisonBasePtr
typedef ComparisonBase::ConstPtr | ComparisonBaseConstPtr
typedef boost::shared_ptr< ConditionBase< PointT > > | Ptr
typedef boost::shared_ptr< const ConditionBase< PointT > > | ConstPtr

## Public Member Functions

| ConditionBase ()
| Constructor. More...
virtual | ~ConditionBase ()
| Destructor. More...
void | addComparison (ComparisonBaseConstPtr comparison)
| Add a new comparison. More...
void | addCondition (Ptr condition)
| Add a nested condition to this condition. More...
bool | isCapable () const
| Check if evaluation requirements are met. More...
virtual bool | evaluate (const PointT &point) const =0
| Determine if a point meets this condition. More...

## Protected Attributes

bool | capable_
| True if capable. More...
std::vector< ComparisonBaseConstPtr > | comparisons_
| The collection of all comparisons that need to be verified. More...
std::vector< Ptr > | conditions_
| The collection of all conditions that need to be verified. More...

## Detailed Description

### template<typename PointT>
class pcl::ConditionBase< PointT >

Base condition class.

Definition at line 445 of file conditional_removal.h.

## Member Typedef Documentation

## ComparisonBase

template<typename PointT>

typedef pcl::ComparisonBase<PointT> pcl::ConditionBase< PointT >::ComparisonBase

Definition at line 448 of file conditional_removal.h.

## ComparisonBaseConstPtr

template<typename PointT>

typedef ComparisonBase::ConstPtr pcl::ConditionBase< PointT >::ComparisonBaseConstPtr

Definition at line 450 of file conditional_removal.h.

## ComparisonBasePtr

template<typename PointT>

typedef ComparisonBase::Ptr pcl::ConditionBase< PointT >::ComparisonBasePtr

Definition at line 449 of file conditional_removal.h.

## ConstPtr

template<typename PointT>

typedef boost::shared_ptr<const ConditionBase<PointT> > pcl::ConditionBase< PointT >::ConstPtr

Definition at line 453 of file conditional_removal.h.

## Ptr

template<typename PointT>

typedef boost::shared_ptr<ConditionBase<PointT> > pcl::ConditionBase< PointT >::Ptr

Definition at line 452 of file conditional_removal.h.

## Constructor & Destructor Documentation

## ConditionBase()

template<typename PointT>

pcl::ConditionBase< PointT >::ConditionBase | ( |  | ) |

inline

Constructor.

Definition at line 456 of file conditional_removal.h.

## ~ConditionBase()

template<typename PointT>

virtual pcl::ConditionBase< PointT >::~ConditionBase | ( |  | ) |

inline virtual

Destructor.

Definition at line 461 of file conditional_removal.h.

## Member Function Documentation

## addComparison()

template<typename PointT >

void pcl::ConditionBase< PointT >::addComparison | ( | ComparisonBaseConstPtr | comparison | ) |

Add a new comparison.

Parameters

  comparison | the comparison operator to add

Definition at line 607 of file conditional_removal.hpp.

References pcl::ComparisonBase< PointT >::capable_.

## addCondition()

template<typename PointT >

void pcl::ConditionBase< PointT >::addCondition | ( | Ptr | condition | ) |

Add a nested condition to this condition.

Parameters

  condition | the nested condition to be added

Definition at line 616 of file conditional_removal.hpp.

References pcl::ComparisonBase< PointT >::capable_.

## evaluate()

template<typename PointT>

virtual bool pcl::ConditionBase< PointT >::evaluate | ( | const PointT & | point | ) | const

pure virtual

Determine if a point meets this condition.

Returns
  whether the point meets this condition.

Implemented in pcl::ConditionOr< PointT >, and pcl::ConditionAnd< PointT >.

## isCapable()

template<typename PointT>

bool pcl::ConditionBase< PointT >::isCapable | ( |  | ) | const

inline

Check if evaluation requirements are met.

Definition at line 484 of file conditional_removal.h.

## Member Data Documentation

## capable_

template<typename PointT>

bool pcl::ConditionBase< PointT >::capable_

protected

True if capable.

Definition at line 497 of file conditional_removal.h.

## comparisons_

template<typename PointT>

std::vector<ComparisonBaseConstPtr> pcl::ConditionBase< PointT >::comparisons_

protected

The collection of all comparisons that need to be verified.

Definition at line 500 of file conditional_removal.h.

## conditions_

template<typename PointT>

std::vector<Ptr> pcl::ConditionBase< PointT >::conditions_

protected

The collection of all conditions that need to be verified.

Definition at line 503 of file conditional_removal.h.

The documentation for this class was generated from the following files:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/filters/include/pcl/filters/conditional_removal.h
- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/filters/include/pcl/filters/impl/conditional_removal.hpp